<?xml version="1.0"  encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:output method="html" encoding="iso-8859-1" />

   <xsl:template match="/">
      <xsl:apply-templates select="document" />
   </xsl:template>

   <xsl:template match="document">
      <html>
         <head>
            <title>
               <xsl:apply-templates select="title" />
            </title>
            <link rel="stylesheet" href="domkurs.css"/>
         </head>

         <body>
            <h1>
               <xsl:apply-templates select="title" />
            </h1>

            <xsl:apply-templates select="section">
               <xsl:with-param name="depth">1</xsl:with-param>
            </xsl:apply-templates>
         </body>
      </html>
   </xsl:template>

	
	<xsl:template match="title">
		<xsl:apply-templates/>
	</xsl:template>	

   <xsl:template match="section">
      <xsl:param name="depth" />

      <xsl:apply-templates>
         <xsl:with-param name="depth">
            <xsl:value-of select="$depth+1" />
         </xsl:with-param>
      </xsl:apply-templates>
   </xsl:template>

   <xsl:template match="h">
      <xsl:param name="depth" />

      <xsl:element name="a">
         <xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
         <xsl:attribute name="target">inhalt</xsl:attribute>
      <xsl:element name="h{$depth}">
         <xsl:apply-templates />
      </xsl:element>
      </xsl:element>
   </xsl:template>

   <xsl:template match="*">
      <xsl:param name="depth" />

      
      <xsl:element  name = "{name()}">
      <xsl:if test="count(@href) &gt; 0">
      	<xsl:attribute  name = "class" >href</xsl:attribute>
      </xsl:if>
      
      <xsl:for-each select = "@*">
      	<xsl:attribute  name = "{name()}" ><xsl:value-of select="." /></xsl:attribute>
      </xsl:for-each>
      <xsl:apply-templates>
         <xsl:with-param name="depth">
            <xsl:value-of select="$depth" />
         </xsl:with-param>
      </xsl:apply-templates>
      </xsl:element>
   </xsl:template>
</xsl:stylesheet>

